% function to compute the angle of departure for sysG at pole p
% GFF, AEN copyright 2004
function thd=angdep(sysG,p)
p1=[1 -p];
[n,d]=tfdata(sysG,'v');
d1=deconv(d,p1);
thz=angle(polyval(n,p));
thp=angle(polyval(d1,p));
thd=(pi+thz-thp)*180/pi;
thd=mod(thd,360);