% function to compute the root locus jw crossings for sysG 
% AEN copyright 2004
function [omega,k]=crossings(sysG)
[num,den]=tfdata(sysG,'v');
p=roots(den);
n=size(p,1);
jj=sqrt(-1);
nn=[n:-1:0];
vec=jj.^nn;
denjw=den.*vec;
numjw=num.*vec;
% form real and imaginary parts
Gimagnum=(conv(numjw,conj(denjw))-conv(denjw,conj(numjw)));
omega=roots(Gimagnum);
% remove extraneous answers
omega=omega(find(abs(imag(omega))<=1e-10));
Grealnum=(conv(numjw,conj(denjw))+conv(denjw,conj(numjw)));
Grealden=2*conv(denjw,conj(denjw));
if (polyval(Grealnum,omega)==0), k=[];
else
      k1=polyval(Grealden,omega);
      index=find(abs(k1)<=eps);
      k1(index)=0*length(index);
      k=-k1./polyval(Grealnum,omega);
      knan=find(isnan(k));k(knan)=0*length(knan);
end